Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ClientProtocolPolicy Class Reference

RTCORBA::ClientProtocolPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_ClientProtocolPolicy:

[legend]
Collaboration diagram for TAO_ClientProtocolPolicy:

[legend]
List of all members.

## Public Methods
| TAO_ClientProtocolPolicy (const RTCORBA::ProtocolList &protocols)
| Constructor. More...
| TAO_ClientProtocolPolicy (const TAO_ClientProtocolPolicy &rhs)
| Copy constructor. More...
RTCORBA::ProtocolList & | protocols_rep (void)
virtual RTCORBA::ProtocolList * | protocols (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
| This method writes a CDR representation of the current object. More...
virtual CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
| This method reads the object state from a CDR representation. More...
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
virtual TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
int | hook (TAO_ORB_Core *orb_core, int &send_buffer_size, int &recv_buffer_size, int &no_delay, const char *protocol_type)
## Protected Methods
virtual | ~TAO_ClientProtocolPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...
| TAO_ClientProtocolPolicy (void)
## Private Attributes
RTCORBA::ProtocolList | protocols_
| Attribute. More...
## Friends
class | TAO_RT_PolicyFactory
| This constructor is used by TAO_RT_PolicyFactory when decoding policies from tagged components in an IOR. More...

## Detailed Description

RTCORBA::ClientProtocolPolicy implementation.

This policy controls selection and configuration of communication protocols on the client-side of the RT ORB.

## Constructor & Destructor Documentation

TAO_ClientProtocolPolicy::TAO_ClientProtocolPolicy | ( | const RTCORBA::ProtocolList & | protocols | ) |

| Constructor.

TAO_ClientProtocolPolicy::TAO_ClientProtocolPolicy | ( | const TAO_ClientProtocolPolicy & | rhs | ) |

| Copy constructor.

TAO_ClientProtocolPolicy::~TAO_ClientProtocolPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

TAO_ClientProtocolPolicy::TAO_ClientProtocolPolicy | ( | void |  | ) | `[protected]`

## Member Function Documentation

TAO_Cached_Policy_Type TAO_ClientProtocolPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

CORBA::Boolean TAO_ClientProtocolPolicy::_tao_decode | ( | TAO_InputCDR & | in_cdr | ) | `[virtual]`

| This method reads the object state from a CDR representation.

CORBA::Boolean TAO_ClientProtocolPolicy::_tao_encode | ( | TAO_OutputCDR & | out_cdr | ) | `[virtual]`

| This method writes a CDR representation of the current object.

TAO_Policy_Scope TAO_ClientProtocolPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

CORBA::Policy_ptr TAO_ClientProtocolPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_ClientProtocolPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

int TAO_ClientProtocolPolicy::hook | ( | TAO_ORB_Core * | orb_core,
|  | int & | send_buffer_size,
|  | int & | recv_buffer_size,
|  | int & | no_delay,
|  | const char * | protocol_type
| ) | `[static]`

CORBA::PolicyType TAO_ClientProtocolPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

RTCORBA::ProtocolList * TAO_ClientProtocolPolicy::protocols | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

ACE_INLINE RTCORBA::ProtocolList & TAO_ClientProtocolPolicy::protocols_rep | ( | void |  | ) |

| Accessor to the underlying protocols list of the policy (does not make a copy like the idl accessor <protocols> implementation below.)

## Friends And Related Function Documentation

friend class TAO_RT_PolicyFactory`[friend]`

| This constructor is used by TAO_RT_PolicyFactory when decoding policies from tagged components in an IOR.

## Member Data Documentation

RTCORBA::ProtocolList TAO_ClientProtocolPolicy::protocols_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp
- RT_Policy_i.i